import{tokens as r}from"../../node_modules/@equinor/eds-tokens/dist/esm/base/index.js";import{colors as e}from"../../atoms/style/colors.js";import{spacings as o}from"../../atoms/style/spacings.js";import a,{css as i}from"styled-components";const{typography:t,shape:d}=r,n={default:{color:`${e.interactive.primary__resting.rgba}`,background:`${e.ui.background__light.rgba}`,borderColor:`${e.ui.background__medium.rgba}`,hover:{background:`${e.interactive.primary__hover_alt.rgba}`,color:`${e.interactive.primary__hover.rgba}`,borderColor:`${e.interactive.primary__hover.rgba}`},disabled:{color:`${e.interactive.disabled__text.rgba}`,background:`${e.interactive.disabled__fill.rgba}`,borderColor:`${e.interactive.disabled__border.rgba}`},selected:{color:`${e.interactive.primary__resting.rgba}`,background:`${e.interactive.primary__selected_highlight.rgba}`,borderColor:`${e.interactive.primary__selected_hover.rgba}`,hover:{color:`${e.interactive.primary__hover.rgba}`,background:`${e.interactive.primary__selected_hover.rgba}`,borderColor:`${e.interactive.primary__hover.rgba}`},disabled:{color:`${e.interactive.disabled__text.rgba}`,background:`${e.interactive.disabled__fill.rgba}`,borderColor:`${e.interactive.disabled__border.rgba}`}}},white:{color:`${e.interactive.primary__resting.rgba}`,background:`${e.ui.background__default.rgba}`,borderColor:`${e.ui.background__medium.rgba}`,hover:{background:`${e.interactive.primary__hover_alt.rgba}`,color:`${e.interactive.primary__hover.rgba}`,borderColor:`${e.interactive.primary__hover.rgba}`},disabled:{color:`${e.interactive.disabled__text.rgba}`,background:`${e.interactive.disabled__fill.rgba}`,borderColor:`${e.interactive.disabled__border.rgba}`}},warning:{color:`${e.interactive.warning__text.rgba}`,background:`${e.ui.background__light.rgba}`,borderColor:`${e.interactive.warning__resting.rgba}`,hover:{color:`${e.interactive.warning__hover.rgba}`,background:`${e.ui.background__warning.rgba}`,borderColor:`${e.interactive.warning__hover.rgba}`},disabled:{color:`${e.interactive.disabled__text.rgba}`,background:`${e.interactive.disabled__fill.rgba}`,borderColor:`${e.interactive.disabled__border.rgba}`},selected:{color:`${e.interactive.warning__text.rgba}`,background:`${e.interactive.primary__selected_highlight.rgba}`,borderColor:`${e.interactive.warning__resting.rgba}`,hover:{color:`${e.interactive.warning__hover.rgba}`,background:`${e.interactive.primary__selected_hover.rgba}`,borderColor:`${e.interactive.warning__hover.rgba}`},disabled:{color:`${e.interactive.disabled__text.rgba}`,background:`${e.interactive.disabled__fill.rgba}`,borderColor:`${e.interactive.warning__highlight.rgba}`}}},error:{color:`${e.interactive.danger__text.rgba}`,background:`${e.ui.background__light.rgba}`,borderColor:`${e.interactive.danger__resting.rgba}`,hover:{color:`${e.interactive.danger__hover.rgba}`,background:`${e.ui.background__danger.rgba}`,borderColor:`${e.interactive.danger__hover.rgba}`},disabled:{color:`${e.interactive.disabled__text.rgba}`,background:`${e.interactive.disabled__fill.rgba}`,borderColor:`${e.interactive.disabled__border.rgba}`},selected:{color:`${e.interactive.danger__text.rgba}`,background:`${e.interactive.primary__selected_highlight.rgba}`,borderColor:`${e.interactive.danger__resting.rgba}`,hover:{color:`${e.interactive.danger__hover.rgba}`,background:`${e.interactive.primary__selected_hover.rgba}`,borderColor:`${e.interactive.danger__hover.rgba}`},disabled:{color:`${e.interactive.disabled__text.rgba}`,background:`${e.interactive.disabled__fill.rgba}`,borderColor:`${e.interactive.danger__highlight.rgba}`}}}},b=(r="default",e=!1)=>{const o=n[e&&"white"===r?"default":r];return e&&o.selected?o.selected:o},l=i`
  outline: 1px solid ${e.ui.background__medium.rgba};
  display: flex;
  width: fit-content;
  border-radius: ${d.rounded.borderRadius};
  font-family: 'Equinor', sans-serif;
  font-weight: 500;
  font-size: ${t.ui.chip__badge.fontSize};
  line-height: 16px;
  text-align: center;
  transition:
    background-color 150ms ease,
    outline 150ms ease,
    color 150ms ease;
  padding: ${o.x_small};
  box-sizing: content-box;

  .content {
    padding: 0 ${o.small};
    display: flex;
    align-items: center;
    gap: ${o.x_small};

    .leading {
      display: flex;
      align-items: center;
    }
    .leading * {
      width: 16px;
      height: 16px;
    }
  }
`,g=a.button`
  cursor: pointer;
  ${l}
  ${({variant:r,selected:e})=>{const o=b(r,e);return i`
      color: ${o.color};
      background-color: ${o.background};
      outline: 1px solid ${o.borderColor};

      &:hover {
        background-color: ${o.hover.background};
        color: ${o.hover.color};
        outline: 1px solid ${o.hover.borderColor};
      }

      &:disabled {
        color: ${o.disabled?.color};
        background-color: ${o.disabled?.background};
        outline: 1px solid ${o.disabled?.borderColor};
        cursor: not-allowed;

        &:hover {
          outline: 1px solid ${o.disabled?.borderColor};
        }
      }
    `}};
`,c=a.div`
  ${l}
  ${r=>{const o=b(r.variant,!0);return i`
      color: ${e.text.static_icons__default.rgba};
      background-color: ${"white"===r.variant?n.white.background:e.ui.background__light.rgba};
      outline: 1px solid ${o.disabled.borderColor};
    `}}
`;export{g as InteractiveChipStyle,c as ReadOnlyChipStyle,n as colorSchemes};
