import{tokens as r}from"../../node_modules/@equinor/eds-tokens/dist/esm/base/index.js";import{EditorContent as o}from"@tiptap/react";import t from"styled-components";import"react";import"./custom-extensions/AmplifyKit.js";import"./MenuBar/MenuBar.js";import"react/jsx-runtime";import"./RichTextEditor.types.js";import"../../_virtual/lodash.js";import"@equinor/subsurface-app-management";import"@microsoft/signalr";import"@tanstack/react-query";import"../../atoms/enums/Environment.js";import"../../atoms/utils/auth_environment.js";import"../../organisms/TopBar/Notifications/NotificationProvider.js";import"../../providers/AuthProvider/AuthProvider.js";import"../../providers/ReleaseNotesProvider.js";import"../../providers/SideBarProvider.js";import"../../providers/SnackbarProvider/SnackbarProvider.js";import"../../providers/TableOfContentsProvider.js";import"../../providers/ThemeProvider/ThemeProvider.js";import"../../providers/TutorialStepsProvider.js";import{colors as e}from"../../atoms/style/colors.js";import"../../atoms/enums/Errors.js";import"../../atoms/enums/Theme.js";import"../../atoms/enums/SpacingsMode.js";import"../../organisms/ErrorPage/illustrations/GlitchAnimation.js";import"../../organisms/ErrorPage/illustrations/QuestioningAnimation.js";import"proj4";import"html2canvas";const{spacings:i,typography:a,shape:n,colors:s}=r,d=t(o)`
  display: grid;
  grid-template-rows: 1fr;
  overflow-y: auto;
  min-height: ${r=>r.$minHeight||"auto"};
  max-height: ${r=>r.$maxHeight||"auto"};
`,m=t.div`
  display: grid;
  background: ${s.ui.background__default.rgba};
  border-radius: ${n.corners.borderRadius} ${n.corners.borderRadius} 0 0;
  border: ${r=>r.$border?`1px solid ${s.ui.background__medium.rgba}`:"none"};
  border-bottom: none;

  &:has(div[contenteditable='true']) {
    height: inherit;
  }

  & [data-placeholder]::before {
    color: ${s.text.static_icons__tertiary.rgba} !important;
  }

  .tiptap {
    box-sizing: border-box;
    overflow-y: auto;
    background: ${r=>r.$lightBackground?`${s.ui.background__default.rgba}`:`${s.ui.background__light.rgba}`};

    &[contenteditable='true'] {
      box-shadow: ${({$highlighted:r})=>r?`inset 0 -2px ${e.dataviz.darkblue.darker}`:`inset 0 -1px ${s.ui.background__medium.rgba}`};
    }

    padding: ${r=>{switch(r.$padding){case"sm":return i.comfortable.small;case"md":return i.comfortable.medium;case"lg":return i.comfortable.large;default:return 0}}};

    a {
      color: ${s.interactive.primary__resting.rgba};
    }
    a:hover {
      cursor: pointer;
      color: ${s.interactive.primary__hover.rgba};
    }
    p {
      font-size: 16px;
      font-family: 'Equinor', sans-serif;
      color: ${s.text.static_icons__default.rgba};
      line-height: ${a.paragraph.body_long.lineHeight};
      margin: 0;
    }
    ul,
    ol {
      margin: 0;
    }
    img {
      max-width: 100%;
      max-height: 100%;
      border-radius: 5px;
    }
    pre {
      background: #0d0d0d;
      border-radius: 0.5rem;
      color: #fff;
      font-family: 'Equinor Mono', monospace;
      padding: 0.75rem 1rem;
      margin: 0;

      code {
        background: none;
        color: inherit;
        font-size: 0.8rem;
        padding: 0;
      }
    }

    table {
      border-collapse: collapse;
      overflow: hidden;
      table-layout: fixed;
      width: 100%;

      td,
      th {
        border: 2px solid #ced4da;
        box-sizing: border-box;
        min-width: 1em;
        padding: 3px 5px;
        position: relative;
        vertical-align: top;

        > * {
          margin-bottom: 0;
        }
      }

      th {
        background-color: #f1f3f5;
        font-weight: bold;
        text-align: left;
      }

      .selectedCell:after {
        background: rgba(200, 200, 255, 0.4);
        content: '';
        left: 0;
        right: 0;
        top: 0;
        bottom: 0;
        pointer-events: none;
        position: absolute;
        z-index: 2;
      }

      .column-resize-handle {
        background-color: #adf;
        bottom: -2px;
        position: absolute;
        right: -2px;
        pointer-events: none;
        top: 0;
        width: 4px;
      }

      p {
        margin: 0;
      }
    }

    &:focus-visible {
      outline: none;
      box-shadow: inset 0 -2px ${s.interactive.primary__resting.rgba};
    }
  }

  .tiptap p.is-editor-empty:first-child::before {
    color: ${s.text.static_icons__default.rgba};
    content: attr(data-placeholder);
    float: left;
    height: 0;
    pointer-events: none;
  }
`;export{d as EditorContent,m as EditorStyling};
