import{Typography as i,Tooltip as r}from"@equinor/eds-core-react";import{tokens as t}from"../../../../../../node_modules/@equinor/eds-tokens/dist/esm/base/index.js";import"../../../../../../atoms/style/colors.js";import{spacings as e}from"../../../../../../atoms/style/spacings.js";import o from"styled-components";const{colors:a}=t,s=o(i)`
  margin: ${e.small} ${e.small} 0 ${e.small};
  color: ${a.text.static_icons__tertiary.rgba};
`,n=o.div`
  display: flex;
  flex-wrap: wrap;
  align-items: start;
  gap: ${e.medium_small};
  height: fit-content;
  position: relative;
  > :first-child {
    margin-top: ${e.medium_small};
  }
`,d=o.div`
  height: 100%;
  width: 100%;
  overflow: hidden;
  height: 88px;
  width: 88px;
  margin-top: 2px;
  border-radius: 4px;
  border: 1px solid ${a.ui.background__medium.rgba};
  position: relative;
  transition: 0.1s ease-in;
  > img {
    width: 100%;
    overflow: hidden;
  }
  &:hover {
    background-color: ${a.ui.background__semitransparent.rgba};
  }
`,g=o.div`
  display: grid;
  grid-template-rows: 1fr 1fr 1fr;
  align-items: center;
  justify-content: center;
  height: 88px;
  width: 88px;
  margin-top: 2px;
  font-size: 11px;
  justify-items: center;
  text-align: center;
  border-radius: 4px;
  border: 1px dashed ${a.interactive.warning__text.rgba};
  gap: 0;
  transition: 0.1s ease-in;
  > svg {
    grid-row: 2/3;
  }
  > div {
    grid-row: 3/4;
    color: ${a.interactive.warning__text.rgba};
  }
  &:hover {
    background-color: ${a.interactive.warning__highlight.rgba};
  }
`,l=o.div`
  background-color: ${a.text.static_icons__tertiary.rgba};
  border-radius: 50%;
  border: 2px solid ${a.ui.background__default.rgba};
  position: absolute;
  width: 18px;
  height: 18px;
  right: -20px;
  top: -8px;
  transition: 0.1s ease-in;
  cursor: pointer;
  > svg {
    width: 18px;
    height: 18px;
    fill: ${a.ui.background__default.rgba};
  }

  &:hover {
    background-color: ${a.text.static_icons__default.rgba};
  }
`,p=o(r)`
  white-space: pre;
`;export{l as CloseButton,p as FileTooltip,n as FileUploadAreaWrapper,d as ImageWrapper,g as Rejection,s as Title};
